Bug 1468742 - [RFE] Allow Satellite user to choose between VNC, SPICE for Display type on RHEV compute resources
Summary: [RFE] Allow Satellite user to choose between VNC, SPICE for Display type on R...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: Unspecified
Hardware: Unspecified
OS: All
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
: 1610463 (view as bug list)
Depends On:
Blocks: 1541321
TreeView+ depends on / blocked
 
Reported: 2017-07-07 19:33 UTC by Pablo Hess
Modified: 2020-09-10 10:52 UTC (History)
10 users (show)

Fixed In Version: foreman-1.23.0-0,tfm-rubygem-fog-ovirt-1.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24532 Normal Closed Allow Satellite user to choose between VNC, SPICE for Display type on RHEV compute resources 2020-04-14 20:05:22 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:22:44 UTC

Description Pablo Hess 2017-07-07 19:33:50 UTC
1. Proposed title of this feature request:
Offer Display type choice between SPICE and VNC for RHEV compute resources


2. Who is the customer behind the request?

This information will be provided as a private comment.


3. What is the nature and description of the request?

With RHEV registered on Satellite 6.2.10 as a compute resource, SPICE is used as Display type. No questions asked, no other options offered.

Customer uses VNC by default on their RHV infrastructure, but Satellite will always set new RHV guests to SPICE.

Customer would like to be able to choose VNC instead of SPICE.

For comparison purposes, libvirt compute resource allows the user to choose between VNC and SPICE.



4. Why does the customer need this?

Customer uses VNC by default as Display type on RHV when spinning new VMs on this RHV. This is a requirement for their standard environment.



5. How would the customer like to achieve this?

On the webUI, navigate to Infrastructure > Compute resources.
Click "Edit" next to a RHEV compute resource and change Display type from SPICE to VNC.

This is precisely what libvirt compute resources offer as of today.

With hammer this would be accomplished the same way as libvirt offers this switch:
# hammer compute-resource update --id <ID> --display-type VNC



6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

Both webUI and hammer can be tested by the customer.
Customer has a sandbox environment where they can test new things before going to production.



7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
This looks like an extension of this 5 year old upstream RFE: http://projects.theforeman.org/issues/1637



8. Does the customer have any specific timeline dependencies and which release would they like to target?
As soon as possible but this is not critical. This is significantly convenient.
While this new setting is not available the customer must go to RHEV and set the display type of each individual guest to VNC when the guest is provisioned.



9. Is the sales team involved in this request and do they have any additional input?

No.


10. List any affected packages or components.

Foreman, hammer, RHEV compute resources.


11. Would the customer be able to assist in testing this functionality if implemented?

Yes.

Comment 2 orabin 2018-08-01 10:08:22 UTC
*** Bug 1610463 has been marked as a duplicate of this bug. ***

Comment 4 Shira Maximov 2018-08-02 09:57:18 UTC
What is the reason the customer prefer using VNC and not SPICE? 
SPICE is a better protocol, it delivers a high quality user experience, keeps CPU consumption low, and supports high quality video streaming.

That's The Reason it's the default graphic protocol in Ovirt, 
Also, we can't implement in foreman any feature that exists in Ovirt, 
So unless we have a good reason for adding the option to change the graphics protocol in foreman I suggest we should close this bug.

Comment 5 Tony James 2018-08-02 13:55:17 UTC
(In reply to Shira Maximov from comment #4)
> What is the reason the customer prefer using VNC and not SPICE? 
> SPICE is a better protocol, it delivers a high quality user experience,
> keeps CPU consumption low, and supports high quality video streaming.
> 
> That's The Reason it's the default graphic protocol in Ovirt, 
> Also, we can't implement in foreman any feature that exists in Ovirt, 
> So unless we have a good reason for adding the option to change the graphics
> protocol in foreman I suggest we should close this bug.

Customers in more secure environments do not have access/permissions to install additional software like virt-viewer on their workstation.  This is required in order to connect to a SPICE session since the HTML5 SPICE client has been deprecated.  RHV/oVirt provides a noVNC option for VMs that use a VNC console which solves this problem.  RHV supports both SPICE and VNC so it would be useful to have that choice when provisioning with Satellite.

Comment 6 Shira Maximov 2018-08-02 14:27:14 UTC
if we change the default graphic console to SPICE+VNC, would it solve the issue?

Comment 7 Tony James 2018-08-02 15:30:27 UTC
(In reply to Shira Maximov from comment #6)
> if we change the default graphic console to SPICE+VNC, would it solve the
> issue?

Yes, that would solve the issue.

Comment 8 Shira Maximov 2018-08-03 07:44:59 UTC
Created redmine issue https://projects.theforeman.org/issues/24532 from this bug

Comment 9 Shira Maximov 2018-08-08 11:30:35 UTC
Does the customer want to be able to open the console from ovirt with VNC or from foreman?

Comment 10 Tony James 2018-08-08 11:34:25 UTC
(In reply to Shira Maximov from comment #9)
> Does the customer want to be able to open the console from ovirt with VNC or
> from foreman?

The customer is only interested in opening the VNC console from oVirt.

Comment 11 Shira Maximov 2018-08-08 11:49:34 UTC
After looking a bit, the VNC+SPICE allows you to open VNC and then SPICE without restarting the VM (and vice versa). 
This means that the customer will still need to choose VNC in the console options in order to connect for VNC.

Are you sure that this option is good for the customer?

Comment 12 Tony James 2018-08-08 12:53:03 UTC
(In reply to Shira Maximov from comment #11)
> After looking a bit, the VNC+SPICE allows you to open VNC and then SPICE
> without restarting the VM (and vice versa). 
> This means that the customer will still need to choose VNC in the console
> options in order to connect for VNC.
> 
> Are you sure that this option is good for the customer?

Yes, because it gives the customer the choice of console type they wish to use.  Additionally, the console choice will be remembered so the customer will only need to choose once.

Comment 18 Bryan Kearney 2019-05-24 18:00:55 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24532 has been resolved.

Comment 21 Lukáš Hellebrandt 2020-02-05 16:43:17 UTC
Verified with Sat 6.7 snap 10.

Successfully created RHEV CR with default display type set, both through Hammer and through WebUI. When creating a new host, the default display type is pre-filled.

It is not possible to set keyboard layout through Hammer, however, it's not a regression (the functionality is new) and it's out of scope of this BZ. I'll report a separate BZ about it.

When trying SPICE console, I hit same-origin policy in Firefox but the same happened in Sat 6.5. VNC console works.

Comment 24 errata-xmlrpc 2020-04-14 13:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.